﻿package
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.FullScreenEvent;
	import flash.events.TimerEvent;
	import flash.utils.Timer;
	import flash.events.MouseEvent;

	public class Spider extends Sprite
	{
		private var timer:Timer;
		private var color:int;
		private var c1:Sprite = new Sprite();
		private var c2:Sprite = new Sprite();
		private var c3:Sprite = new Sprite();
		private var points:Array = new Array();
		private var pp:int = 100;
		
		
		public function Spider()
		{
			addEventListener(Event.ADDED_TO_STAGE,addedHandler);
		}
		private function addedHandler(e:Event):void
		{
			stage.addEventListener(FullScreenEvent.FULL_SCREEN,fullhandler);
			fullhandler(null);
		}
		private function fullhandler(e:FullScreenEvent):void
		{
			drawCirlce();
			c1.addEventListener(MouseEvent.CLICK, overHandler);
			c2.addEventListener(MouseEvent.CLICK, overHandler);
			c3.addEventListener(MouseEvent.CLICK, overHandler);
			
			
		}
		private function overHandler(e:MouseEvent):void{
			
			if(e.target==c1){
				color=0x000fff;
			} else if (e.target==c2){
				trace("2");
				
				color=0xFF0000;
			} else if (e.target==c3){
				trace("3");
				
				color=0xFFFF00;
			}
			if(timer){
			timer.stop();
			}
			this.graphics.clear();
			this.graphics.beginFill(color)
			this.graphics.lineStyle(2,color,0.2);
			
			points = new Array();
			timer = new Timer(100,150);
			timer.addEventListener(TimerEvent.TIMER, refresh);
			timer.start();
		}
		
		private function drawCirlce():void{
			
			c1.graphics.beginFill(0x000fff)
			c1.graphics.drawCircle(pp,pp,10);
			c1.graphics.endFill();
			addChild(c1);
			
			c2.graphics.beginFill(0xFF0000)
			c2.graphics.drawCircle(pp+100,pp+100,10);
			c2.graphics.endFill();
			addChild(c2);
			
			c3.graphics.beginFill(0xFFFF00)
			c3.graphics.drawCircle(pp+200,pp+200,10);
			c3.graphics.endFill();
			addChild(c3);
			}
		
		private function refresh(e:TimerEvent):void
		{
			var p1:Object;
			var dx:Number;
			var dy:Number;
			var dist:Number;
			var p0:Object = {"x":Math.random() * stage.stageWidth, "y":Math.random() * stage.stageHeight};
			var max:Number = 150;
			for(var i:uint;i<points.length;i++){
				p1 = points[i];
				dx = p1.x - p0.x;
				dy = p1.y - p0.y;
				dist = Math.sqrt(dx * 2*dx + dy*2*dy);
				if(dist < max){
					this.graphics.lineStyle(2,color,(1 - dist / max));
					this.graphics.drawCircle(p0.x,p0.y,10);
					this.graphics.drawCircle(p1.x,p1.y,10);
					//this.graphics.moveTo(pp,pp);
					//this.graphics.moveTo(p0.x,p0.y);
					
					this.graphics.moveTo(p0.x,p0.y);
					
					this.graphics.lineTo(p1.x,p1.y);
					this.graphics.moveTo(p0.x-10,p0.y-10);
					this.graphics.lineTo(p1.x-10,p1.y-10);
				}
			}
			points.push(p0);
		}
	}
}